QGIS Application - Bug report #15102
Forms and transaction mode: Edit and Save buttons in nested forms should be hidden
2016-06-21 11:58 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Edit widget

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23044
Description

When the transaction mode for editing is enabled, all tables from the same data provider (currently only PostgreSQL supported) are
automatically put into editing mode and are also saved all at once.

As a consequence, the "Toggle Editing Mode" and "Save Edits" buttons are not necessary anymore and should be hidden in nested forms
(relation reference widgets, forms from relations).

Associated revisions

Revision 972fc9fa - 2016-06-26 12:47 PM - Matthias Kuhn

Hide layer edit state buttons on relation editor when in transaction

... because that the buttons are there was mainly triggered by the fact
that it's sometimes hard to find the appropriate layer in the legend.

Fix #15102

Revision 523cd074 - 2017-05-19 01:33 PM - Matthias Kuhn

Preserve visibility of relation editor edit state buttons

... also when collapsing and uncollapsing a relation editor.

References #15102 (https://issues.qgis.org/issues/15102)

History

#1 - 2016-06-22 12:01 AM - Andreas Neumann
- File qgis_save_buttons_should_be_hidden_in_transaction_mode.png added

#2 - 2016-06-26 03:49 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"972fc9fa11646543548577c043a18e5bc99a19ec".
